Contact Us | Site Map
Firebird is used by approximately 1 million of software developers worldwide. High compatibility with industry standards on many fronts makes Firebird the obvious choice for developing interoperable applications for homogeneous and hybrid environments.
Join Firebird!
Join Firebird Foundation to support Firebird SQL development and receive multiple bonuses
Follow Us
Select your media preference
Google+ Twitter Facebook RSS
Newsletter
Subscribe to Firebird’s Newsletter to receive the latest news
Firebird 2.5.3
Press Release (Firebird 2.5.0): English | Deutsch | Español | Polska | Việt | 日本語 | Română | Français

Firebird 2.5.3 Release Notes (PDF available)

Brief description of new features in Firebird 2.5

For more details about Firebird 2.5 architectures please look at the Firebird 2.5 Architecture Comparison document.

Windows
Win32
Windows
Win64
Linux
Linux x86
Linux
Linux AMD64

Mac OS X

Release Date File Name Size Description
Sources
July 17, 2014 Firebird-2.5.3.26778-0.tar.bz2 14 MB Compressed tarball
Windows Win32
32-bit Classic, Superclassic & Superserver
July 17, 2014 Firebird-2.5.3.26778_0_Win32.exe 7 MB Windows executable installer for full Superclassic/Classic or Superserver, recommended for first-time users
July 17, 2014 Firebird-2.5.3.26778-0_Win32.zip 10 MB Zip kit for manual/custom installs of Superclassic/Classic or Superserver
32-bit Embedded
July 17, 2014 Firebird-2.5.3.26778-0_Win32_embed.zip 4 MB Embedded, separate download, zip kit. Custom installation required, read the Guide!
32-bit Debug Kits (Binary + PDB components)
July 17, 2014 Firebird-2.5.3.26778_0_Win32_pdb.exe 12 MB Full Superclassic/Classic or Superserver, installer kit
July 17, 2014 Firebird-2.5.3.26778-0_Win32_pdb.zip 19 MB Full Superclassic/Classic or Superserver, zip kit
July 17, 2014 Firebird-2.5.3.26778-0_Win32_embed_pdb.zip 8 MB Embedded, separate download, zip kit
Windows Win64
64-bit Classic, Superclassic & Superserver
July 17, 2014 Firebird-2.5.3.26778_0_x64.exe 10 MB Windows executable installer for full Superclassic/Classic or Superserver, recommended for first-time users
July 17, 2014 Firebird-2.5.3.26778-0_x64.zip 12 MB Zip kit for manual/custom installs of Superclassic/Classic or Superserver
64-bit Embedded
July 17, 2014 Firebird-2.5.3.26778-0_x64_embed.zip 5 MB Embedded, separate download, zip kit. Custom installation required, read the Guide!
64-bit Debug Kits (Binary + PDB components)
July 17, 2014 Firebird-2.5.3.26778_0_x64_pdb.exe 16 MB Full Superclassic/Classic or Superserver, installer kit
July 17, 2014 Firebird-2.5.3.26778-0_x64_pdb.zip 21 MB Full Superclassic/Classic or Superserver, zip kit
July 17, 2014 Firebird-2.5.3.26778-0_x64_embed_pdb.zip 9 MB Embedded, separate download, zip kit
Linux Linux x86
IMPORTANT: Note affecting all Linux builds
The recommended Linux kernel version is 2.6.34 and glibc should be version 2.12 or higher. Minimum - kernel 2.6.27 and glibc 2.7.
If your glibc version is lower than v.2.7, it must be upgraded before using Firebird 2.5 Classic/Superсlassic.
32-bit Classic, Superclassic & Embedded
July 17, 2014 FirebirdCS-2.5.3.26778-0.i686.rpm 8 MB Superclassic/Classic server, RPM kit
July 17, 2014 FirebirdCS-2.5.3.26778-0.i686.tar.gz 8 MB Superclassic/Classic server, compressed tarball
July 17, 2014 FirebirdCS-debuginfo-2.5.3.26778-0.i686.tar.gz 35 MB Debug Build, Superclassic/Classic server, compressed tarball
32-bit Superserver
July 17, 2014 FirebirdSS-2.5.3.26778-0.i686.rpm 8 MB Superserver, RPM kit
July 17, 2014 FirebirdSS-2.5.3.26778-0.i686.tar.gz 7 MB Superserver, compressed tarball
July 17, 2014 FirebirdSS-debuginfo-2.5.3.26778-0.i686.tar.gz 34 MB Debug Build, Superserver, compressed tarball
Linux Linux AMD64
IMPORTANT: Note affecting all Linux builds
The recommended Linux kernel version is 2.6.34 and glibc should be version 2.12 or higher. Minimum - kernel 2.6.27 and glibc 2.7.
If your glibc version is lower than v.2.7, it must be upgraded before using Firebird 2.5 Classic/Superсlassic.
64-bit Classic, Superclassic & Embedded
July 17, 2014 FirebirdCS-2.5.3.26778-0.amd64.rpm 8 MB Superclassic/Classic server, RPM kit
July 17, 2014 FirebirdCS-2.5.3.26778-0.amd64.tar.gz 7 MB Superclassic/Classic server, compressed tarball
July 17, 2014 FirebirdCS-debuginfo-2.5.3.26778-0.amd64.tar.gz 35 MB Debug Build, Superclassic/Classic server, compressed tarball
64-bit Superserver
July 17, 2014 FirebirdSS-2.5.3.26778-0.amd64.rpm 7 MB Superserver, RPM kit
July 17, 2014 FirebirdSS-2.5.3.26778-0.amd64.tar.gz 7 MB Superserver, compressed tarball
July 17, 2014 FirebirdSS-debuginfo-2.5.3.26778-0.amd64.tar.gz 35 MB Debug Build, Superserver, compressed tarball
Mac OS X
NOTE: To make the new engine work properly under multi-threaded conditions we had to use Grand Central Dispatch, which was first released in Mac OS X 10.6 (Snow Leopard). Mac OS X users should be aware that Firebird 2.5 will run only on Mac OS X 10.6 or higher versions. If you want to use an earlier version of OS X you will need to use an earlier version of Firebird.
"lipo" are the 64-bit Firebird Server with client libs as fat lib (32 and 64 bits). See here for examples.
Mac OS X 64-bit Classic, Superclassic & Embedded (Intel)
July 17, 2014 FirebirdCS-2.5.3-26778-x86_64.pkg.zip 16 MB 64-bit package
July 17, 2014 FirebirdCS-2.5.3-26778-lipo-x86_64.pkg.zip 25 MB 64-bit Lipo package
Mac OS X 64-bit Superserver (Intel)
July 17, 2014 FirebirdSS-2.5.3-26778-x86_64.pkg.zip 17 MB 64-bit package
July 17, 2014 FirebirdSS-2.5.3-26778-lipo-x86_64.pkg.zip 21 MB 64-bit Lipo package
Mac OS X 32-bit
July 17, 2014 FirebirdCS-2.5.3-26778-i386.pkg.zip 16 MB Mac OS X 10.6+ 32-bit Classic, Superclassic & Embedded (Intel) package, compressed
July 17, 2014 FirebirdSS-2.5.3-26778-i386.pkg.zip 16 MB Mac OS X 32-bit Superserver (Intel) package, compressed

Home About Firebird Documentation Downloads Community Support Development Case Studies Back to Top
This site and the pages contained within are Copyright © 2000-2014, Firebird Project. Firebird® is a registered trademark of Firebird Foundation Incorporated. Developed by DQ Team.